# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Apache/Constants.pm) perl(Apache/Request.pm) perl(Apache/Session/File.pm) perl(Apache/Session/Flex.pm) perl(Apache/Session/Generate/MD5.pm) perl(Apache/Session/Store/File.pm) perl(Apache2/Const.pm) perl(Apache2/Request.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Apache-Session-Wrapper
Version:        0.34
Release:        alt1_8
Summary:        A simple wrapper around Apache::Session
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Apache-Session-Wrapper
Source0:        http://search.cpan.org/CPAN/authors/id/Y/YV/YVES/Apache-Session-Wrapper-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:	perl(Apache2/Cookie.pm) perl(Apache/Session.pm) perl(Class/Container.pm) perl(Exception/Class.pm)
BuildRequires:	perl(Params/Validate.pm) perl(Module/Build.pm) perl(Test/Pod.pm)
Requires:	perl(Class/Container.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Apache-Session-Wrapper-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
APACHE_TEST_HTTPD=/usr/sbin/httpd ./Build test

%files
%doc Changes LICENSE
%{perl_vendor_privlib}/Apache/Session/


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_7
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_5
- fc import

